path: /build/build/nvidia-555-kernel-modules-kernel-6.6-555.58.02+1.package.tar.zst
dependencies: []
compilespec:
  steps:
  - sed -i -e 's|versionator||g'  /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild
    && rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    && anise repo update && anise repo update && anise upgrade -y && anise i -y x11-drivers-555/nvidia-drivers
    && anise cleanup && emerge =x11-drivers/nvidia-kernel-modules-555.58.02 -pv -t
  - |
    emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-555.58.02
  - |
    eval 'rm -rf /nvidia-555-kernel-modules || true' && mkdir /nvidia-555-kernel-modules && \
    luet-portage --dir /nvidia-555-kernel-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-555-kernel-modules/lib/modules/nvidia/555.58.02/6.6.50-macaroni/video/*.ko
    ; do zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:dd8e177d7a74183613c65645685ca109294658f41828053939f9dcb58ee5c429
  package:
    name: nvidia-555-kernel-modules
    version: 555.58.02+1
    category: kernel-6.6
    requires:
    - name: kernel
      version: '>=0'
      category: seed-6.6
    annotations:
      kernel_module: true
    buildtimestamp: 2024-09-11 14:03:02.052561609 +0000 UTC m=+666.748888743
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 6.6.50
      original.package.slot: "555"
      original.package.version: 555.58.02
    treedir: /build/packages
  package_dir: /nvidia-555-kernel-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: df3d322513935f7ff04737b88d22b21b6ace1d4489c2c338b8a882df4e01225a
compressiontype: zstd
files:
- lib/modules/nvidia/555.58.02/6.6.50-macaroni/video/nvidia-drm.ko.zst
- lib/modules/nvidia/555.58.02/6.6.50-macaroni/video/nvidia-modeset.ko.zst
- lib/modules/nvidia/555.58.02/6.6.50-macaroni/video/nvidia-uvm.ko.zst
- lib/modules/nvidia/555.58.02/6.6.50-macaroni/video/nvidia.ko.zst
package_cacheimage: ""
runtime:
  name: nvidia-555-kernel-modules
  version: 555.58.02+1
  category: kernel-6.6
  requires:
  - name: gpu-configurator
    version: '>=0'
    category: app-admin
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 6.6.50
    original.package.slot: "555"
    original.package.version: 555.58.02
